### Function

# Atspi dbus_connection_setup_with_g_main

#### Declaration [src]

    void
    atspi_dbus_connection_setup_with_g_main (
      DBusConnection* connection,
      GMainContext* context
    )

#### Description [src]

Sets the watch and timeout functions of a `DBusConnection` to integrate the connection with the GLib main loop. Pass in `NULL` for the `GMainContext` unless you’re doing something specialized.

If called twice for the same context, does nothing the second time. If called once with context A and once with context B, context B replaces context A as the context monitoring the connection.

This function is not directly available to language bindings.

#### Parameters

`connection`

  Type: `DBusConnection`

  The connection.

  The data is owned by the caller of the function.

`context`

  Type: `GMainContext`

  The `GMainContext` or `NULL` for default context.

  The data is owned by the caller of the function.